
 LinHES - Bug # 880: Remove FE only SG support from add_storage.py

Status: Closed Priority: Normal
Author: jams Category: Installation/Upgrade
Created: 12/10/2012 Assignee: jams
Updated: 12/11/2012 Due date:
Description: When deploying A FE it doesn't make sense to auto add storage groups. A FE only machine has a much 

higher chance of being offline when rescanning video collections and will cause an error to be presented.
Additionally if  storage groups are added to a FE system, then content will be unavailable to other systems if 
the frontend is turned off.
In light of this I think it's best to let the end-user add their own storage groups.

Associated revisions
12/11/2012 10:44 am - jams
LinHES-system: add_storage  added --add_be_sg and --add_fe_sg to the cmd line.
These flags control which storage groups are added.
Additionaly when running add_storage from the command line it will prompt the user which Storage group class to use.

refs #880

12/11/2012 10:46 am - jams
LinHES-config: mv_install.py   Only add storage groups on machine classes that use the backend.  So FE only machines end up with no SG associated 
with it's hostname.

refs #880

History
12/11/2012 10:50 am - jams
- Status changed from New to Closed

modified add_storage.py  so it will not add any storage groups unless directed to.
User can either answer the prompts  or use --add_fe_sg and --add_be_sg.
